#
# spec file for package rubygem-path_expander
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-path_expander
Version:        1.1.3
Release:        1.1
%define mod_name path_expander
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/seattlerb/path_expander
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        PathExpander helps pre-process command-line arguments expanding
License:        MIT

%description
PathExpander helps pre-process command-line arguments expanding
directories into their constituent files. It further helps by
providing additional mechanisms to make specifying subsets easier
with path subtraction and allowing for command-line arguments to be
saved in a file.
NOTE: this is NOT an options processor. It is a path processor
(basically everything else besides options). It does provide a
mechanism for pre-filtering cmdline options, but not with the intent
of actually processing them in PathExpander. Use OptionParser to
deal with options either before or after passing ARGV through
PathExpander.

%prep

%build

%install
%gem_install \
  --doc-files="History.rdoc README.rdoc" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.1.3, see bundled History.rdoc
* Tue Jul 16 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.1.2, see bundled History.rdoc
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.1.1
  see installed History.rdoc
  === 1.1.1 / 2022-07-03
  * 1 bug fix:
  * Process plain '-' as a file, not an option.
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.1.0
  see installed History.rdoc
  === 1.1.0 / 2019-09-22
  * 1 minor enhancement:
  * Added a default path (default: ".") to scan if no files are initially found.
  === 1.0.5 / 2019-09-14
  * 1 bug fix:
  * Fixed a deprecation warning from File.exists?
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.0.4
  see installed History.rdoc
  === 1.0.4 / 2019-05-26
  * 1 bug fix:
  * Sorted the output from expand_dirs_to_files. (deivid-rodriguez)
* Tue Mar 20 2018 factory-auto@kulow.org
- updated to version 1.0.3
  see installed History.rdoc
  === 1.0.3 / 2018-03-16
  * 1 bug fix:
  * Don't process files if path expands to root directory. Prevents -n /./ from hanging.
* Tue May 23 2017 coolo@suse.com
- updated to version 1.0.2
  see installed History.rdoc
  === 1.0.2 / 2017-05-09
  * 1 bug fix:
  * Fixed expand_dirs_to_files returning non-files on glob expansion.
* Thu Dec  1 2016 coolo@suse.com
- updated to version 1.0.1
  see installed History.rdoc
  === 1.0.1 / 2016-11-30
  * 1 bug fix:
  * Expanded paths in filter_files to fix globs w/ absolute paths. (mknapik)
* Thu May 26 2016 coolo@suse.com
- initial package
